
D4Science Infrastructure - Task #5290

Task # 5448 (Closed): Dataminer - Need to align R configuration with RStudio simulation environment

Align DataMiner Locale to the RStudio Locale

Sep 30, 2016 03:37 PM - Gianpaolo Coro

Status: Closed Start date: Sep 30, 2016

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: Dataminer and StatMan provisioning   

Infrastructure: Development, Pre-Production,

Production

  

Description

As reported in #4652#note-24, the system Locale is equal to "C" on DataMiner, whereas it is UTF-8 on RStudio. The DataMiners

Locale should be aligned to RStudio.

History

#1 - Sep 30, 2016 03:37 PM - Gianpaolo Coro

- Tracker changed from Support to Task

#2 - Sep 30, 2016 05:03 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Andrea Dell'Amico

I see that rstudio.d4science.org esplicitly sets the LANG variable here:

cat /etc/default/locale

#  File generated by update-locale

LANG=en_US.UTF-8

 while the VMs provisioned by ansible do not. The environment is set as en_US.UTF-8 on both the dataminer hosts and rstudio, but java does not read

the environment. What do you prefer? UTF8 everywhere?

If not, I'll remove that file from the rstudio servers.

#3 - Sep 30, 2016 05:20 PM - Gianpaolo Coro

Yes, the request is to have UTF-8 everywhere

#4 - Sep 30, 2016 07:35 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 100

- Infrastructure Development, Pre-Production added

Done. The tomcat service needs a restart before being able to see the new setting.

#5 - Sep 30, 2016 07:35 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

#6 - Oct 06, 2016 11:27 PM - Emmanuel Blondel

- Parent task changed from #4652 to #5448

#8 - Oct 06, 2016 11:30 PM - Emmanuel Blondel

Sorry, i was not aware of this new ticket, so in the meanwhile i've created a support ticket for this to split from the usecase where i had to troubleshoot

this (now set as parent, and copied to key users). Many thanks for your prompt action, i will test it ASAP, and come back to you.

#9 - Oct 07, 2016 01:45 PM - Andrea Dell'Amico

Emmanuel Blondel wrote:
Sorry, i was not aware of this new ticket, so in the meanwhile i've created a support ticket for this to split from the usecase where i had to

troubleshoot this (now set as parent, and copied to key users). Many thanks for your prompt action, i will test it ASAP, and come back to you.

 Please wait for a feedback by @gianpaolo.coro@isti.cnr.it , he's him that will call a service restart. Until then, the java environment will not see the

change.

#10 - Oct 07, 2016 06:45 PM - Emmanuel Blondel

Thanks Andrea for the information, and for your prompt action on this ticket (again sorry, i was not in copy of the ticket that's why i didn't provide 

feedback so far). For the feedback, in order to rationalize my effort on this (i've few effort for this kind of troubleshooting/checking), i will just wait for

#5461 (check the process itself and that locales are fine). Thanks again

#11 - Oct 07, 2016 07:54 PM - Andrea Dell'Amico

Emmanuel Blondel wrote:

Thanks Andrea for the information, and for your prompt action on this ticket (again sorry, i was not in copy of the ticket that's why i didn't provide 

feedback so far). For the feedback, in order to rationalize my effort on this (i've few effort for this kind of troubleshooting/checking), i will just wait

for #5461 (check the process itself and that locales are fine). Thanks again

 No problem, my fault that I didn't add you  from the start.

About the Java locale, if it still doesn't use the right one we can force it from the command line.

#12 - Oct 18, 2016 02:48 PM - Andrea Dell'Amico

@emmanuel.blondel@fao.org did you have the chance to test this?

#13 - Oct 19, 2016 02:28 PM - Emmanuel Blondel

Not yet. Generally speaking i would prefer to check this through the feature requested in #5461. But if you wish, i can try ASAP to reproduce the issue

i had with locales.

#15 - Oct 19, 2016 02:34 PM - Andrea Dell'Amico

Emmanuel Blondel wrote:

Not yet. Generally speaking i would prefer to check this through the feature requested in #5461. But if you wish, i can try ASAP to reproduce the

issue i had with locales.

 It's OK to wait for #5461, I'm adding a dependency against it.

#16 - Feb 14, 2017 04:10 PM - Gianpaolo Coro

- Status changed from Feedback to Closed
